Bug 151492 - PowerPoint fails to open PPTX saved from certain ODP in Impress
Summary: PowerPoint fails to open PPTX saved from certain ODP in Impress
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.5.0 target:7.4.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: PPTX-Corrupted
  Show dependency treegraph
 
Reported: 2022-10-12 14:09 UTC by Aron Budea
Modified: 2022-11-01 20:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By: Tibor Nagy


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2022-10-12 14:09:38 UTC
- Open attachment 162518 [details] from bug 134401 in Impress, and save it as PPTX,
- Open PPTX in PowerPoint.

=> You get an error: "PowerPoint found a problem with content...", you can click Repair, then PowerPoint will note that it couldn't read some content, and removed it.

This is a regression from the following commit, bibisected using repo bibisect-linux-64-7.5. Adding CC: to Tibor Nagy and László Németh.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=4d153517183193f468dee9148c94fe9d874bacb3
author		Tibor Nagy <nagy.tibor2@nisz.hu>	2022-06-27 09:45:04 +0200
committer	László Németh <nemeth@numbertext.org>	2022-07-22 13:40:25 +0200

tdf#149697 PPTX export: fix changing place of connection points
Comment 1 m.a.riosv 2022-10-13 01:33:51 UTC
Reproducible.
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: a7683a16e98def4198e1f74a93fecdaacbf639e7
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: es-ES (es_ES); UI: en-US Calc: CL threaded Jumbo

and 
Microsoft® PowerPoint® para Microsoft 365 MSO (versión 2209 compilación 16.0.15629.20152) de 64 bits
Comment 2 Commit Notification 2022-10-27 16:18:40 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/097a2de6428f834d28fa78af203d3c0b6577656e

tdf#151492 PPTX export: fix connection points regression

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 NISZ LibreOffice Team 2022-10-28 07:15:17 UTC
Verified in:
Version: 7.5.0.0.alpha0+ (X86_64) / LibreOffice Community
Build ID: 02db1642c9ce4394f4f85755c4a0a831e547e4fb
CPU threads: 8; OS: Windows 10.0 Build 19044; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL threaded
Comment 4 Commit Notification 2022-11-01 20:54:35 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/9131a0367b1bcf9c876f1289fdf144fbc1f569b0

tdf#151492 PPTX export: fix connection points regression

It will be available in 7.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.